KIO::StatusbarProgress Class Reference

`#include <statusbarprogress.h>`

Inheritance diagram for KIO::StatusbarProgress:

## Public Slots

virtual void | slotClean ()
virtual void | slotTotalSize (KIO::Job *job, KIO::filesize_t size)
virtual void | slotPercent (KIO::Job *job, unsigned long percent)
virtual void | slotSpeed (KIO::Job *job, unsigned long speed)
Public Slots inherited from KIO::ProgressBase
void | slotStop ()
virtual void | slotClean ()
virtual void | slotTotalSize (KIO::Job *job, KIO::filesize_t size)
virtual void | slotTotalFiles (KIO::Job *job, unsigned long files)
virtual void | slotTotalDirs (KIO::Job *job, unsigned long dirs)
virtual void | slotProcessedSize (KIO::Job *job, KIO::filesize_t bytes)
virtual void | slotProcessedFiles (KIO::Job *job, unsigned long files)
virtual void | slotProcessedDirs (KIO::Job *job, unsigned long dirs)
virtual void | slotSpeed (KIO::Job *job, unsigned long speed)
virtual void | slotPercent (KIO::Job *job, unsigned long percent)
virtual void | slotCopying (KIO::Job *job, const KURL &src, const KURL &dest)
virtual void | slotMoving (KIO::Job *job, const KURL &src, const KURL &dest)
virtual void | slotDeleting (KIO::Job *job, const KURL &url)
virtual void | slotCreatingDir (KIO::Job *job, const KURL &dir)
virtual void | slotCanResume (KIO::Job *job, KIO::filesize_t from)

## Public Member Functions

| StatusbarProgress (QWidget *parent, bool button=true)
void | setJob (KIO::Job *job)
Public Member Functions inherited from KIO::ProgressBase
| ProgressBase (QWidget *parent)
void | setJob (KIO::Job *job)
void | setJob (KIO::CopyJob *job)
void | setJob (KIO::DeleteJob *job)
void | setStopOnClose (bool stopOnClose)
bool | stopOnClose () const
void | setOnlyClean (bool onlyClean)
bool | onlyClean () const
void | finished ()

## Protected Types

enum | Mode { None, Label, Progress }

## Protected Member Functions

void | setMode ()
virtual bool | eventFilter (QObject *, QEvent *)
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KIO::ProgressBase
virtual void | closeEvent (QCloseEvent *)

## Protected Attributes

KProgress * | m_pProgressBar
QLabel * | m_pLabel
QPushButton * | m_pButton
KIO::filesize_t | m_iTotalSize
uint | mode
bool | m_bShowButton
QBoxLayout * | box
QWidgetStack * | stack
Protected Attributes inherited from KIO::ProgressBase
KIO::Job * | m_pJob

## Additional Inherited Members

Signals inherited from KIO::ProgressBase
void | stopped ()
Protected Slots inherited from KIO::ProgressBase
void | slotFinished (KIO::Job *)

## Detailed Description

This is a special IO progress widget.

Similarly to DefaultProgress, it's purpose is to show a progress of the IO operation.

Instead of creating a separate window, this is only a widget that can be easily embedded in a statusbar.

Usage of StatusbarProgress is little different. This dialog will be a part of some application.

// create a dialog
StatusbarProgress *statusProgress;
statusProgress = new StatusbarProgress( statusBar() );
statusBar()->insertWidget( statusProgress, statusProgress->width() , 0 );
...
// create job and connect it to the progress
CopyJob* job = KIO::copy(...);
statusProgress->setJob( job );
...

IO progress widget for embedding in a statusbar.

Author
  Matej Koss koss@.nosp@m.mies.nosp@m.to.sk

Definition at line 60 of file statusbarprogress.h.

## Constructor & Destructor Documentation

KIO::StatusbarProgress::StatusbarProgress | ( | QWidget * | parent,
|  | bool | button = `true`
| ) |  |

Creates a new StatusbarProgress.

Parameters

  parent | the parent of this widget
  button | true to add an abort button. The button will be connected to ProgressBase::slotStop()

Definition at line 35 of file statusbarprogress.cpp.

## Member Function Documentation

void KIO::StatusbarProgress::setJob | ( | KIO::Job * | job | ) |

Sets the job to monitor.

Parameters

  job | the job to monitor

Definition at line 74 of file statusbarprogress.cpp.

The documentation for this class was generated from the following files:

- statusbarprogress.h
- statusbarprogress.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys